ruby-pcaprub_0.12.0-1build3_i386.deb


Advertisement

Description

ruby-pcaprub - Ruby bindings for LBL Packet Capture library (libpcap)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe i386
Package name ruby-pcaprub
Package version 0.12.0
Package release 1build3
Package architecture i386
Package type deb
Installed size 69 B
Download size 20.88 KB
Official Mirror archive.ubuntu.com
libpcap (Packet CAPture) provides a portable framework for low-level
network monitoring.  Applications include network statistics collection,
security monitoring, network debugging, etc.
pcaprub provide a consistent interface for using libcap in Ruby.
It does not provide packet processing functionality, only the interface for
capturing packets, and passing yielding those packets.

Alternatives

Package Version Architecture Repository
ruby-pcaprub_0.12.0-1build3_amd64.deb 0.12.0 amd64 Ubuntu Universe
ruby-pcaprub - - -

Requires

Name Value
libc6 >= 2.4
libpcap0.8 >= 1.0.0
libruby2.3 >= 2.3.0~preview2
ruby >= 1:2.3~0

Download

Type URL
Binary Package ruby-pcaprub_0.12.0-1build3_i386.deb
Source Package ruby-pcaprub

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-pcaprub deb package:
    # sudo apt-get install ruby-pcaprub

Files

Path
/usr/lib/i386-linux-gnu/ruby/vendor_ruby/2.3.0/pcaprub_c.so
/usr/lib/ruby/vendor_ruby/pcaprub.rb
/usr/lib/ruby/vendor_ruby/pcaprub/common.rb
/usr/lib/ruby/vendor_ruby/pcaprub/ext.rb
/usr/lib/ruby/vendor_ruby/pcaprub/version.rb
/usr/share/doc/ruby-pcaprub/FAQ.rdoc
/usr/share/doc/ruby-pcaprub/USAGE.rdoc
/usr/share/doc/ruby-pcaprub/changelog.Debian.gz
/usr/share/doc/ruby-pcaprub/copyright
/usr/share/doc/ruby-pcaprub/examples/dead_cap.rb
/usr/share/doc/ruby-pcaprub/examples/file_cap.rb
/usr/share/doc/ruby-pcaprub/examples/simple_cap.rb
/usr/share/doc/ruby-pcaprub/examples/telnet-raw.pcap.gz
/usr/share/rubygems-integration/2.3.0/specifications/pcaprub-0.12.0.gemspec

Changelog

2016-03-13 - Matthias Klose <doko@ubuntu.com>
ruby-pcaprub (0.12.0-1build3) xenial; urgency=medium
* No-change rebuild for ruby2.3-only support.
2016-03-13 - Matthias Klose <doko@ubuntu.com>
ruby-pcaprub (0.12.0-1build2) xenial; urgency=medium
* No-change rebuild to add ruby2.3 support.
2016-01-21 - Matthias Klose <doko@ubuntu.com>
ruby-pcaprub (0.12.0-1build1) xenial; urgency=medium
* No-change rebuild to drop ruby2.1 support.
2015-09-08 - Jérémy Bobbio <lunar@debian.org>
ruby-pcaprub (0.12.0-1) unstable; urgency=low
* New upstream release:
- Add a patch to remove mandatory usage of Bundler.
* Update location of upstream repository.
* Update debian/copyright.
* Switch to debhelper compat level 9.
* Bump Standards-Version.
* Run test suite using autopkgtest.
2014-05-03 - Jérémy Bobbio <lunar@debian.org>
ruby-pcaprub (0.11.3-2) unstable; urgency=low
* Rebuild against Ruby versions currently in the archive.
* Bump Standards-Version, no changes required.
2013-08-24 - Jérémy Bobbio <lunar@debian.org>
ruby-pcaprub (0.11.3-1) unstable; urgency=low
* Initial release. (Closes: #720709)

See Also

Package Description
ruby-pdf-core_0.5.1-1_all.deb Ruby library to render PDF documents
ruby-pdf-inspector_1.2.0-1_all.deb Ruby library for analyzing PDF output
ruby-pdf-reader_1.4.0-1_all.deb Ruby library for accessing the content of PDF files
ruby-peach_0.5.1-3_all.deb parallel execution of each and map in Ruby
ruby-pg_0.18.4-1_i386.deb PostgreSQL interface for Ruby
ruby-phonon_4.14.3-1ubuntu2_i386.deb Phonon bindings for the Ruby language
ruby-pkg-config_1.1.5-1_all.deb pkg-config implementation for Ruby
ruby-plist_3.2.0-1_all.deb all-purpose property list manipulation library
ruby-pluggaloid_1.0.2-1_all.deb Extensible plugin system for mikutter
ruby-polyglot_0.3.4-1_all.deb Custom language loaders for specified file extensions
ruby-poppler_2.2.5-4build1_i386.deb Ruby bindings for the libpoppler-glib library
ruby-posix-spawn_0.3.11-1build2_i386.deb Ruby Implementation of posix_spawn(2) for faster process spawning
ruby-powerbar_1.0.17-1_all.deb progressbar library for Ruby
ruby-powerpack_0.1.1-2build1_all.deb Useful extensions to core Ruby classes
ruby-prawn-doc_2.0.2+dfsg-1_all.deb fast, nimble PDF generation library for Ruby (documentation)
Advertisement
Advertisement